## python-bumble 0.0.220

=== docs/mkdocs/requirements.txt ===
# This requirements file is for python3
mkdocs == 1.4.0
mkdocs-material == 8.5.6
mkdocs-material-extensions == 1.0.3
pymdown-extensions == 10.0
mkdocstrings-python == 0.7.1

=== debian/changelog ===
python-bumble (0.0.220-1) unstable; urgency=medium

  * Initial release. (Closes: #1124391)

 -- Edward Betts <edward@4angle.com>  Wed, 31 Dec 2025 11:35:50 +0000

## python-bumble 0.0.225

=== docs/mkdocs/requirements.txt ===
# This requirements file is for python3
mkdocs == 1.4.0
mkdocs-material == 8.5.6
mkdocs-material-extensions == 1.0.3
pymdown-extensions == 10.16.1
mkdocstrings-python == 0.7.1

=== debian/changelog ===
python-bumble (0.0.225-2) unstable; urgency=medium

  * Team upload.
  * Patch-out python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Feb 2026 10:52:38 +0100

python-bumble (0.0.225-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 17 Feb 2026 19:15:18 +0000

=== debian/control ===
Source: python-bumble
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-click <!nocheck>,
 python3-grpcio <!nocheck>,
 python3-humanize <!nocheck>,
 python3-platformdirs <!nocheck>,
 python3-prettytable <!nocheck>,
 python3-prompt-toolkit <!nocheck>,
 python3-pyee <!nocheck>,
 python3-serial-asyncio <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-websockets <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/google/bumble
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-bumble
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-bumble.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-bumble
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Bluetooth protocol stack for applications, emulation and experimentation
 This library implements a comprehensive Bluetooth protocol stack supporting
 both Bluetooth Low Energy (BLE) and Bluetooth Classic protocols and profiles,
 such as GAP, L2CAP, ATT, GATT, SMP, SDP, RFCOMM, HFP, HID and A2DP. It can
 interact with physical Bluetooth radios using HCI over interfaces like USB or
 UART, and can also work with virtual radios, including the virtual Bluetooth
 device provided by the Android emulator. Interoperability with different
 hardware interfaces is handled using standard Bluetooth controller transport
 protocols, including support for the Linux VHCI interface for virtual devices.
 .
 Multiple utilities and tools are included for inspecting and interacting with
 Bluetooth controllers, managing device pairing and authentication, handling
 GATT attribute operations, radio information retrieval, packet inspection, and
 more. Advanced tools are provided for bridging traffic, exploring available
 devices, and experimenting with profiles and controller connections.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_android_netsim_connection \
	and not test_open_transport_with_metadata \
	and not test_app_imports \
	and not test_ws_connection" --asyncio-mode=auto

%:
	dh $@ --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -Xvcp_renderer.html -Xasha_sink.html -Xhfp_gateway.html -Xhfp_handsfree.html -Xmcp_server.html

=== debian/watch ===
Version: 5

Template: Github
Owner: google
Project: bumble
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/(?!.*[Rr]ust)@ANY_VERSION@
